Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class HadoopJarStepConfig

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.HadoopJarStepConfig

    public class HadoopJarStepConfig

extends Object

A job flow step consisting of a JAR file whose main function will be executed. The main function submits a job for Hadoop to execute and waits for the job to finish or fail.

Constructor Summary
`HadoopJarStepConfig()`

Method Summary
`List<String>` | `getArgs()` A list of command line arguments passed to the JAR file's main function when executed.
`String` | `getJar()` A path to a JAR file run during the step.
`String` | `getMainClass()` The name of the main class in the specified Java file.
`List<KeyValue>` | `getProperties()` A list of Java properties that are set when the step runs.
`void` | `setArgs(Collection<String> args)` A list of command line arguments passed to the JAR file's main function when executed.
`void` | `setJar(String jar)` A path to a JAR file run during the step.
`void` | `setMainClass(String mainClass)` The name of the main class in the specified Java file.
`void` | `setProperties(Collection<KeyValue> properties)` A list of Java properties that are set when the step runs.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`HadoopJarStepConfig` | `withArgs(Collection<String> args)` A list of command line arguments passed to the JAR file's main function when executed.
`HadoopJarStepConfig` | `withArgs(String... args)` A list of command line arguments passed to the JAR file's main function when executed.
`HadoopJarStepConfig` | `withJar(String jar)` A path to a JAR file run during the step.
`HadoopJarStepConfig` | `withMainClass(String mainClass)` The name of the main class in the specified Java file.
`HadoopJarStepConfig` | `withProperties(Collection<KeyValue> properties)` A list of Java properties that are set when the step runs.
`HadoopJarStepConfig` | `withProperties(KeyValue... properties)` A list of Java properties that are set when the step runs.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HadoopJarStepConfig

    public HadoopJarStepConfig()

Method Detail

### getProperties

    public List<KeyValue> getProperties()

  A list of Java properties that are set when the step runs. You can use these properties to pass key-value pairs to your main function.

  Returns:
    A list of Java properties that are set when the step runs. You can use these properties to pass key-value pairs to your main function.

### setProperties

    public void setProperties(Collection<KeyValue> properties)

  A list of Java properties that are set when the step runs. You can use these properties to pass key-value pairs to your main function.

  Parameters:
    `properties` - A list of Java properties that are set when the step runs. You can use these properties to pass key-value pairs to your main function.

### withProperties

    public HadoopJarStepConfig withProperties(KeyValue... properties)

  A list of Java properties that are set when the step runs. You can use these properties to pass key-value pairs to your main function.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `properties` - A list of Java properties that are set when the step runs. You can use these properties to pass key-value pairs to your main function.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withProperties

    public HadoopJarStepConfig withProperties(Collection<KeyValue> properties)

  A list of Java properties that are set when the step runs. You can use these properties to pass key-value pairs to your main function.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `properties` - A list of Java properties that are set when the step runs. You can use these properties to pass key-value pairs to your main function.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getJar

    public String getJar()

  A path to a JAR file run during the step.

  Returns:
    A path to a JAR file run during the step.

### setJar

    public void setJar(String jar)

  A path to a JAR file run during the step.

  Parameters:
    `jar` - A path to a JAR file run during the step.

### withJar

    public HadoopJarStepConfig withJar(String jar)

  A path to a JAR file run during the step.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jar` - A path to a JAR file run during the step.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMainClass

    public String getMainClass()

  The name of the main class in the specified Java file. If not specified, the JAR file should specify a Main-Class in its manifest file.

  Returns:
    The name of the main class in the specified Java file. If not specified, the JAR file should specify a Main-Class in its manifest file.

### setMainClass

    public void setMainClass(String mainClass)

  The name of the main class in the specified Java file. If not specified, the JAR file should specify a Main-Class in its manifest file.

  Parameters:
    `mainClass` - The name of the main class in the specified Java file. If not specified, the JAR file should specify a Main-Class in its manifest file.

### withMainClass

    public HadoopJarStepConfig withMainClass(String mainClass)

  The name of the main class in the specified Java file. If not specified, the JAR file should specify a Main-Class in its manifest file.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `mainClass` - The name of the main class in the specified Java file. If not specified, the JAR file should specify a Main-Class in its manifest file.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getArgs

    public List<String> getArgs()

  A list of command line arguments passed to the JAR file's main function when executed.

  Returns:
    A list of command line arguments passed to the JAR file's main function when executed.

### setArgs

    public void setArgs(Collection<String> args)

  A list of command line arguments passed to the JAR file's main function when executed.

  Parameters:
    `args` - A list of command line arguments passed to the JAR file's main function when executed.

### withArgs

    public HadoopJarStepConfig withArgs(String... args)

  A list of command line arguments passed to the JAR file's main function when executed.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `args` - A list of command line arguments passed to the JAR file's main function when executed.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withArgs

    public HadoopJarStepConfig withArgs(Collection<String> args)

  A list of command line arguments passed to the JAR file's main function when executed.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `args` - A list of command line arguments passed to the JAR file's main function when executed.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.